- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_stack.h File Reference

represents a stack More...

`#include <axutil_utils_defines.h>`
`#include <axutil_env.h>`

Go to the source code of this file.

## Typedefs
typedef struct axutil_stack | axutil_stack_t
## Functions
AXIS2_EXTERN axutil_stack_t * | axutil_stack_create (const axutil_env_t *env)
AXIS2_EXTERN void | axutil_stack_free (axutil_stack_t *stack, const axutil_env_t *env)
AXIS2_EXTERN void * | axutil_stack_pop (axutil_stack_t *stack, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_stack_push (axutil_stack_t *stack, const axutil_env_t *env, void *value)
AXIS2_EXTERN int | axutil_stack_size (axutil_stack_t *stack, const axutil_env_t *env)
AXIS2_EXTERN void * | axutil_stack_get (axutil_stack_t *stack, const axutil_env_t *env)
AXIS2_EXTERN void * | axutil_stack_get_at (axutil_stack_t *stack, const axutil_env_t *env, int i)

## Detailed Description

represents a stack